<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Classes/PlayerModifiers/ModifiersManager.c File Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d3/d3c/_modifiers_manager_8c.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#nested-classes">Data Structures</a> &#124;
<a href="#enum-members">Enumerations</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle"><div class="title">ModifiersManager.c File Reference</div></div>
</div><!--header-->
<div class="contents">

<p><a href="../../d3/d3c/_modifiers_manager_8c_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="nested-classes" name="nested-classes"></a>
Data Structures</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/da9/class_modifier_debug_obj.html">ModifierDebugObj</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="enum-members" name="enum-members"></a>
Enumerations</h2></td></tr>
<tr class="memitem:a5c1716899a303fbac8533337fbc6ceb0"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d3c/_modifiers_manager_8c.html#a5c1716899a303fbac8533337fbc6ceb0">eModifierSyncIDs</a> { <br />
&#160;&#160;<a class="el" href="../../d3/d3c/_modifiers_manager_8c.html#a5c1716899a303fbac8533337fbc6ceb0a6bbb69c158b548462efc13f9bd1150eb">MODIFIER_SYNC_WOUND_INFECT_1</a> = 0x00000001
, <a class="el" href="../../d3/d3c/_modifiers_manager_8c.html#a5c1716899a303fbac8533337fbc6ceb0a9c029365a847a5717403862f5ed3dd75">MODIFIER_SYNC_WOUND_INFECT_2</a> = 0x00000002
, <a class="el" href="../../d3/d3c/_modifiers_manager_8c.html#a5c1716899a303fbac8533337fbc6ceb0af7d282498d69f6d898c753e23df78482">MODIFIER_SYNC_CONTAMINATION</a> = 0x00000004
, <a class="el" href="../../d3/d3c/_modifiers_manager_8c.html#a5c1716899a303fbac8533337fbc6ceb0a41fd66f4372d61238530967c5b08db92">MODIFIER_SYNC_CONTAMINATION2</a> = 0x00000008
, <br />
&#160;&#160;<a class="el" href="../../d3/d3c/_modifiers_manager_8c.html#a5c1716899a303fbac8533337fbc6ceb0a855b985ef6b5085dc6154b928446209c">MODIFIER_SYNC_ZONE_EXPOSURE</a> = 0x00000010
, <a class="el" href="../../d3/d3c/_modifiers_manager_8c.html#a5c1716899a303fbac8533337fbc6ceb0ab982a5d307d13ef3721f4030e73d4073">MODIFIER_SYNC_DROWNING</a> = 0x00000020
, <a class="el" href="../../d3/d3c/_modifiers_manager_8c.html#a5c1716899a303fbac8533337fbc6ceb0a7264227ff44639b8960da234f6ee7135">LAST_INDEX</a>
<br />
 }</td></tr>
<tr class="separator:a5c1716899a303fbac8533337fbc6ceb0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a91438892389b25e59441949d005ef1a2"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d3c/_modifiers_manager_8c.html#a91438892389b25e59441949d005ef1a2">EActivationType</a> { <a class="el" href="../../d3/d3c/_modifiers_manager_8c.html#a91438892389b25e59441949d005ef1a2a8c1ab9fdf55f86d6cb4c1209e054ebe2">TRIGGER_EVENT_OFF</a>
, <a class="el" href="../../d3/d3c/_modifiers_manager_8c.html#a91438892389b25e59441949d005ef1a2a9fd288cf4c8806ee5d69d643ae576430">TRIGGER_EVENT_ON_ACTIVATION</a>
, <a class="el" href="../../d3/d3c/_modifiers_manager_8c.html#a91438892389b25e59441949d005ef1a2a6121bd9cb33dd766463812f5936c3035">TRIGGER_EVENT_ON_CONNECT</a>
 }</td></tr>
<tr class="separator:a91438892389b25e59441949d005ef1a2"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ac135bf8a3162a3c2d85fa35fdbff1798"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d3c/_modifiers_manager_8c.html#ac135bf8a3162a3c2d85fa35fdbff1798">ModifiersManager</a> (<a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> player)</td></tr>
<tr class="separator:ac135bf8a3162a3c2d85fa35fdbff1798"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1e3b6d38df0786ccf7f938d60e386aae"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d3c/_modifiers_manager_8c.html#a1e3b6d38df0786ccf7f938d60e386aae">Init</a> ()</td></tr>
<tr class="memdesc:a1e3b6d38df0786ccf7f938d60e386aae"><td class="mdescLeft">&#160;</td><td class="mdescRight">Launched from 'DayZGame.DeferredInit' to make earlier access, use, and updates impossible (downside of a non-static system)  <a href="../../d3/d3c/_modifiers_manager_8c.html#a1e3b6d38df0786ccf7f938d60e386aae">More...</a><br /></td></tr>
<tr class="separator:a1e3b6d38df0786ccf7f938d60e386aae"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a017e6dbd2f574154605cf1225a2346ad"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d3c/_modifiers_manager_8c.html#a017e6dbd2f574154605cf1225a2346ad">SetModifiers</a> (<a class="el" href="../../d9/db9/classbool.html">bool</a> enable)</td></tr>
<tr class="separator:a017e6dbd2f574154605cf1225a2346ad"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1bf8b2dd2fbfe7e56a7301c85d3ba301"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d3c/_modifiers_manager_8c.html#a1bf8b2dd2fbfe7e56a7301c85d3ba301">GetStorageVersion</a> ()</td></tr>
<tr class="separator:a1bf8b2dd2fbfe7e56a7301c85d3ba301"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5404989687c2d7857ec77e70ddfeb09b"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d3c/_modifiers_manager_8c.html#a5404989687c2d7857ec77e70ddfeb09b">IsModifiersEnable</a> ()</td></tr>
<tr class="separator:a5404989687c2d7857ec77e70ddfeb09b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac8e46fec1ff64a9087ab456fe31ad660"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d3c/_modifiers_manager_8c.html#ac8e46fec1ff64a9087ab456fe31ad660">AddModifier</a> (<a class="el" href="../../d8/d0a/class_modifier_base.html">ModifierBase</a> modifier)</td></tr>
<tr class="separator:ac8e46fec1ff64a9087ab456fe31ad660"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad7f4db664df3e9743e221be021501bc3"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d3c/_modifiers_manager_8c.html#ad7f4db664df3e9743e221be021501bc3">IsModifierActive</a> (<a class="el" href="../../d9/d19/e_modifiers_8c.html#a38544df67f7f5b2fdf488d7705d7a582">eModifiers</a> modifier_id)</td></tr>
<tr class="separator:ad7f4db664df3e9743e221be021501bc3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab005f76d2b3219a0dc7bb5f84626cb99"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d3c/_modifiers_manager_8c.html#ab005f76d2b3219a0dc7bb5f84626cb99">OnScheduledTick</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> delta_time)</td></tr>
<tr class="separator:ab005f76d2b3219a0dc7bb5f84626cb99"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a460dfb1cbcfb5303676f2be4177d7b0a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d3c/_modifiers_manager_8c.html#a460dfb1cbcfb5303676f2be4177d7b0a">DeactivateAllModifiers</a> ()</td></tr>
<tr class="separator:a460dfb1cbcfb5303676f2be4177d7b0a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7fab632c47c8e18366c98a76669f7755"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d3c/_modifiers_manager_8c.html#a7fab632c47c8e18366c98a76669f7755">ActivateModifier</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> modifier_id, <a class="el" href="../../d9/db9/classbool.html">bool</a> triggerEvent=<a class="el" href="../../d3/d3c/_modifiers_manager_8c.html#a91438892389b25e59441949d005ef1a2a9fd288cf4c8806ee5d69d643ae576430">EActivationType.TRIGGER_EVENT_ON_ACTIVATION</a>)</td></tr>
<tr class="separator:a7fab632c47c8e18366c98a76669f7755"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3b34513f708181c290fe5d51e7503a55"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d3c/_modifiers_manager_8c.html#a3b34513f708181c290fe5d51e7503a55">DeactivateModifier</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> modifier_id, <a class="el" href="../../d9/db9/classbool.html">bool</a> triggerEvent=true)</td></tr>
<tr class="separator:a3b34513f708181c290fe5d51e7503a55"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad975050d7a080cca462e74c604f404a2"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d3c/_modifiers_manager_8c.html#ad975050d7a080cca462e74c604f404a2">OnStoreSave</a> (<a class="el" href="../../d8/d18/gameplay_8c.html#af1d1033fca2ebd02f4ba61051b6341c4">ParamsWriteContext</a> ctx)</td></tr>
<tr class="separator:ad975050d7a080cca462e74c604f404a2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab8fb9b4105d97f4c7ba4bdd84d6c7de9"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d3c/_modifiers_manager_8c.html#ab8fb9b4105d97f4c7ba4bdd84d6c7de9">OnStoreLoad</a> (<a class="el" href="../../d8/d18/gameplay_8c.html#a4ff67286551fc6c18504752a277c8bc1">ParamsReadContext</a> ctx, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> version)</td></tr>
<tr class="separator:ab8fb9b4105d97f4c7ba4bdd84d6c7de9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3bcb07a0b1090f652f92f928e7a221f5"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d8/d0a/class_modifier_base.html">ModifierBase</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d3c/_modifiers_manager_8c.html#a3bcb07a0b1090f652f92f928e7a221f5">GetModifier</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> modifier_id)</td></tr>
<tr class="separator:a3bcb07a0b1090f652f92f928e7a221f5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaf6ee4d1f067be1038b7a662af6af1bf"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d3c/_modifiers_manager_8c.html#aaf6ee4d1f067be1038b7a662af6af1bf">GetPlayer</a> ()</td></tr>
<tr class="separator:aaf6ee4d1f067be1038b7a662af6af1bf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ace1390f9fbca9fe44c2fdd0ab58441be"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d3c/_modifiers_manager_8c.html#ace1390f9fbca9fe44c2fdd0ab58441be">SetModifierLock</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> modifier_id, <a class="el" href="../../d9/db9/classbool.html">bool</a> state)</td></tr>
<tr class="separator:ace1390f9fbca9fe44c2fdd0ab58441be"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa932baff2a2c61f8eff890bf464ea54d"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d3c/_modifiers_manager_8c.html#aa932baff2a2c61f8eff890bf464ea54d">GetModifierLock</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> modifier_id)</td></tr>
<tr class="separator:aa932baff2a2c61f8eff890bf464ea54d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9b86f213498df61b4abc498f56d191fd"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d3c/_modifiers_manager_8c.html#a9b86f213498df61b4abc498f56d191fd">DbgGetModifiers</a> (<a class="el" href="../../d2/d41/classarray.html">array</a>&lt; ref <a class="el" href="../../d9/da9/class_modifier_debug_obj.html">ModifierDebugObj</a> &gt; modifiers)</td></tr>
<tr class="separator:a9b86f213498df61b4abc498f56d191fd"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="var-members" name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:ad7b192f22a83d324fbb2fc7fea14ad09"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d3c/_modifiers_manager_8c.html#ad7b192f22a83d324fbb2fc7fea14ad09">DEFAULT_TICK_TIME_ACTIVE</a> = 3</td></tr>
<tr class="separator:ad7b192f22a83d324fbb2fc7fea14ad09"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac5b38c9a7d45b3576a7028958f9abcca"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d3c/_modifiers_manager_8c.html#ac5b38c9a7d45b3576a7028958f9abcca">DEFAULT_TICK_TIME_ACTIVE_SHORT</a> = 1</td></tr>
<tr class="separator:ac5b38c9a7d45b3576a7028958f9abcca"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab41b0cbf9fe485932fbffc19ea426bac"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d3c/_modifiers_manager_8c.html#ab41b0cbf9fe485932fbffc19ea426bac">DEFAULT_TICK_TIME_INACTIVE</a> = 3</td></tr>
<tr class="separator:ab41b0cbf9fe485932fbffc19ea426bac"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af38d7a2ebcfdc86567caa51ca9d70458"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d3c/_modifiers_manager_8c.html#af38d7a2ebcfdc86567caa51ca9d70458">DEFAULT_TICK_TIME_INACTIVE_LONG</a> = 10</td></tr>
<tr class="separator:af38d7a2ebcfdc86567caa51ca9d70458"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac86fff4eb453898da6d2396e65aa0670"><td class="memItemLeft" align="right" valign="top">class <a class="el" href="../../d9/da9/class_modifier_debug_obj.html">ModifierDebugObj</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d3c/_modifiers_manager_8c.html#ac86fff4eb453898da6d2396e65aa0670">m_Player</a></td></tr>
<tr class="separator:ac86fff4eb453898da6d2396e65aa0670"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad30167207c5f49bc30d8149cf0bc1835"><td class="memItemLeft" align="right" valign="top">ref <a class="el" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map</a>&lt; <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>, ref <a class="el" href="../../d8/d0a/class_modifier_base.html">ModifierBase</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d3c/_modifiers_manager_8c.html#ad30167207c5f49bc30d8149cf0bc1835">m_ModifierList</a></td></tr>
<tr class="separator:ad30167207c5f49bc30d8149cf0bc1835"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae06e8d93b8034c2d3b6139345d76178b"><td class="memItemLeft" align="right" valign="top">ref <a class="el" href="../../d2/d41/classarray.html">array</a>&lt; ref <a class="el" href="../../d8/d0a/class_modifier_base.html">ModifierBase</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d3c/_modifiers_manager_8c.html#ae06e8d93b8034c2d3b6139345d76178b">m_ModifierListArray</a> = new <a class="el" href="../../d2/d41/classarray.html">array</a>&lt; ref <a class="el" href="../../d8/d0a/class_modifier_base.html">ModifierBase</a>&gt;</td></tr>
<tr class="separator:ae06e8d93b8034c2d3b6139345d76178b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acf3cda73bc6fe5c0eae3e01c470fe3bd"><td class="memItemLeft" align="right" valign="top">ref <a class="el" href="../../d2/d41/classarray.html">array</a>&lt; ref <a class="el" href="../../d9/dc3/group___tools.html#de/d90/class_param">Param</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d3c/_modifiers_manager_8c.html#acf3cda73bc6fe5c0eae3e01c470fe3bd">m_ParamList</a></td></tr>
<tr class="separator:acf3cda73bc6fe5c0eae3e01c470fe3bd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a013e775b9f09d11160663fd33384e26d"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d3c/_modifiers_manager_8c.html#a013e775b9f09d11160663fd33384e26d">m_AllowModifierTick</a> = false</td></tr>
<tr class="separator:a013e775b9f09d11160663fd33384e26d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a25a1f5ed25534a65e875f6fde47a1d13"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d3c/_modifiers_manager_8c.html#a25a1f5ed25534a65e875f6fde47a1d13">STORAGE_VERSION</a> = 121</td></tr>
<tr class="separator:a25a1f5ed25534a65e875f6fde47a1d13"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Enumeration Type Documentation</h2>
<a id="a91438892389b25e59441949d005ef1a2" name="a91438892389b25e59441949d005ef1a2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a91438892389b25e59441949d005ef1a2">&#9670;&#160;</a></span>EActivationType</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="../../d3/d3c/_modifiers_manager_8c.html#a91438892389b25e59441949d005ef1a2">EActivationType</a></td>
        </tr>
      </table>
</div><div class="memdoc">
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a id="a91438892389b25e59441949d005ef1a2a8c1ab9fdf55f86d6cb4c1209e054ebe2" name="a91438892389b25e59441949d005ef1a2a8c1ab9fdf55f86d6cb4c1209e054ebe2"></a>TRIGGER_EVENT_OFF&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a91438892389b25e59441949d005ef1a2a9fd288cf4c8806ee5d69d643ae576430" name="a91438892389b25e59441949d005ef1a2a9fd288cf4c8806ee5d69d643ae576430"></a>TRIGGER_EVENT_ON_ACTIVATION&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a91438892389b25e59441949d005ef1a2a6121bd9cb33dd766463812f5936c3035" name="a91438892389b25e59441949d005ef1a2a6121bd9cb33dd766463812f5936c3035"></a>TRIGGER_EVENT_ON_CONNECT&#160;</td><td class="fielddoc"></td></tr>
</table>

<p class="definition">Definition at line <a class="el" href="../../d3/d3c/_modifiers_manager_8c_source.html#l00024">24</a> of file <a class="el" href="../../d3/d3c/_modifiers_manager_8c_source.html">ModifiersManager.c</a>.</p>

</div>
</div>
<a id="a5c1716899a303fbac8533337fbc6ceb0" name="a5c1716899a303fbac8533337fbc6ceb0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5c1716899a303fbac8533337fbc6ceb0">&#9670;&#160;</a></span>eModifierSyncIDs</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="../../d3/d3c/_modifiers_manager_8c.html#a5c1716899a303fbac8533337fbc6ceb0">eModifierSyncIDs</a></td>
        </tr>
      </table>
</div><div class="memdoc">
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a id="a5c1716899a303fbac8533337fbc6ceb0a6bbb69c158b548462efc13f9bd1150eb" name="a5c1716899a303fbac8533337fbc6ceb0a6bbb69c158b548462efc13f9bd1150eb"></a>MODIFIER_SYNC_WOUND_INFECT_1&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a5c1716899a303fbac8533337fbc6ceb0a9c029365a847a5717403862f5ed3dd75" name="a5c1716899a303fbac8533337fbc6ceb0a9c029365a847a5717403862f5ed3dd75"></a>MODIFIER_SYNC_WOUND_INFECT_2&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a5c1716899a303fbac8533337fbc6ceb0af7d282498d69f6d898c753e23df78482" name="a5c1716899a303fbac8533337fbc6ceb0af7d282498d69f6d898c753e23df78482"></a>MODIFIER_SYNC_CONTAMINATION&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a5c1716899a303fbac8533337fbc6ceb0a41fd66f4372d61238530967c5b08db92" name="a5c1716899a303fbac8533337fbc6ceb0a41fd66f4372d61238530967c5b08db92"></a>MODIFIER_SYNC_CONTAMINATION2&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a5c1716899a303fbac8533337fbc6ceb0a855b985ef6b5085dc6154b928446209c" name="a5c1716899a303fbac8533337fbc6ceb0a855b985ef6b5085dc6154b928446209c"></a>MODIFIER_SYNC_ZONE_EXPOSURE&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a5c1716899a303fbac8533337fbc6ceb0ab982a5d307d13ef3721f4030e73d4073" name="a5c1716899a303fbac8533337fbc6ceb0ab982a5d307d13ef3721f4030e73d4073"></a>MODIFIER_SYNC_DROWNING&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a5c1716899a303fbac8533337fbc6ceb0a7264227ff44639b8960da234f6ee7135" name="a5c1716899a303fbac8533337fbc6ceb0a7264227ff44639b8960da234f6ee7135"></a>LAST_INDEX&#160;</td><td class="fielddoc"></td></tr>
</table>

<p class="definition">Definition at line <a class="el" href="../../d3/d3c/_modifiers_manager_8c_source.html#l00002">2</a> of file <a class="el" href="../../d3/d3c/_modifiers_manager_8c_source.html">ModifiersManager.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Function Documentation</h2>
<a id="a7fab632c47c8e18366c98a76669f7755" name="a7fab632c47c8e18366c98a76669f7755"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7fab632c47c8e18366c98a76669f7755">&#9670;&#160;</a></span>ActivateModifier()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void ActivateModifier </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>modifier_id</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td>
          <td class="paramname"><em>triggerEvent</em> = <code><a class="el" href="../../d3/d3c/_modifiers_manager_8c.html#a91438892389b25e59441949d005ef1a2a9fd288cf4c8806ee5d69d643ae576430">EActivationType.TRIGGER_EVENT_ON_ACTIVATION</a></code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d3c/_modifiers_manager_8c_source.html#l00214">214</a> of file <a class="el" href="../../d3/d3c/_modifiers_manager_8c_source.html">ModifiersManager.c</a>.</p>

</div>
</div>
<a id="ac8e46fec1ff64a9087ab456fe31ad660" name="ac8e46fec1ff64a9087ab456fe31ad660"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac8e46fec1ff64a9087ab456fe31ad660">&#9670;&#160;</a></span>AddModifier()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void AddModifier </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d8/d0a/class_modifier_base.html">ModifierBase</a>&#160;</td>
          <td class="paramname"><em>modifier</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d3c/_modifiers_manager_8c_source.html#l00175">175</a> of file <a class="el" href="../../d3/d3c/_modifiers_manager_8c_source.html">ModifiersManager.c</a>.</p>

</div>
</div>
<a id="a9b86f213498df61b4abc498f56d191fd" name="a9b86f213498df61b4abc498f56d191fd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9b86f213498df61b4abc498f56d191fd">&#9670;&#160;</a></span>DbgGetModifiers()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void DbgGetModifiers </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d2/d41/classarray.html">array</a>&lt; ref <a class="el" href="../../d9/da9/class_modifier_debug_obj.html">ModifierDebugObj</a> &gt;&#160;</td>
          <td class="paramname"><em>modifiers</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d3c/_modifiers_manager_8c_source.html#l00328">328</a> of file <a class="el" href="../../d3/d3c/_modifiers_manager_8c_source.html">ModifiersManager.c</a>.</p>

</div>
</div>
<a id="a460dfb1cbcfb5303676f2be4177d7b0a" name="a460dfb1cbcfb5303676f2be4177d7b0a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a460dfb1cbcfb5303676f2be4177d7b0a">&#9670;&#160;</a></span>DeactivateAllModifiers()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void DeactivateAllModifiers </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d3c/_modifiers_manager_8c_source.html#l00206">206</a> of file <a class="el" href="../../d3/d3c/_modifiers_manager_8c_source.html">ModifiersManager.c</a>.</p>

</div>
</div>
<a id="a3b34513f708181c290fe5d51e7503a55" name="a3b34513f708181c290fe5d51e7503a55"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3b34513f708181c290fe5d51e7503a55">&#9670;&#160;</a></span>DeactivateModifier()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void DeactivateModifier </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>modifier_id</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td>
          <td class="paramname"><em>triggerEvent</em> = <code>true</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d3c/_modifiers_manager_8c_source.html#l00219">219</a> of file <a class="el" href="../../d3/d3c/_modifiers_manager_8c_source.html">ModifiersManager.c</a>.</p>

</div>
</div>
<a id="a3bcb07a0b1090f652f92f928e7a221f5" name="a3bcb07a0b1090f652f92f928e7a221f5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3bcb07a0b1090f652f92f928e7a221f5">&#9670;&#160;</a></span>GetModifier()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d8/d0a/class_modifier_base.html">ModifierBase</a> GetModifier </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>modifier_id</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d3c/_modifiers_manager_8c_source.html#l00307">307</a> of file <a class="el" href="../../d3/d3c/_modifiers_manager_8c_source.html">ModifiersManager.c</a>.</p>

</div>
</div>
<a id="aa932baff2a2c61f8eff890bf464ea54d" name="aa932baff2a2c61f8eff890bf464ea54d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa932baff2a2c61f8eff890bf464ea54d">&#9670;&#160;</a></span>GetModifierLock()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> GetModifierLock </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>modifier_id</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d3c/_modifiers_manager_8c_source.html#l00323">323</a> of file <a class="el" href="../../d3/d3c/_modifiers_manager_8c_source.html">ModifiersManager.c</a>.</p>

</div>
</div>
<a id="aaf6ee4d1f067be1038b7a662af6af1bf" name="aaf6ee4d1f067be1038b7a662af6af1bf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaf6ee4d1f067be1038b7a662af6af1bf">&#9670;&#160;</a></span>GetPlayer()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> GetPlayer </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d3c/_modifiers_manager_8c_source.html#l00312">312</a> of file <a class="el" href="../../d3/d3c/_modifiers_manager_8c_source.html">ModifiersManager.c</a>.</p>

</div>
</div>
<a id="a1bf8b2dd2fbfe7e56a7301c85d3ba301" name="a1bf8b2dd2fbfe7e56a7301c85d3ba301"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1bf8b2dd2fbfe7e56a7301c85d3ba301">&#9670;&#160;</a></span>GetStorageVersion()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> GetStorageVersion </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d3c/_modifiers_manager_8c_source.html#l00165">165</a> of file <a class="el" href="../../d3/d3c/_modifiers_manager_8c_source.html">ModifiersManager.c</a>.</p>

</div>
</div>
<a id="a1e3b6d38df0786ccf7f938d60e386aae" name="a1e3b6d38df0786ccf7f938d60e386aae"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1e3b6d38df0786ccf7f938d60e386aae">&#9670;&#160;</a></span>Init()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Init </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Launched from 'DayZGame.DeferredInit' to make earlier access, use, and updates impossible (downside of a non-static system) </p>
<p >script functions</p>
<p >called by engine right after creation of entity </p>

<p class="definition">Definition at line <a class="el" href="../../d3/d3c/_modifiers_manager_8c_source.html#l00089">89</a> of file <a class="el" href="../../d3/d3c/_modifiers_manager_8c_source.html">ModifiersManager.c</a>.</p>

</div>
</div>
<a id="ad7f4db664df3e9743e221be021501bc3" name="ad7f4db664df3e9743e221be021501bc3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad7f4db664df3e9743e221be021501bc3">&#9670;&#160;</a></span>IsModifierActive()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> IsModifierActive </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/d19/e_modifiers_8c.html#a38544df67f7f5b2fdf488d7705d7a582">eModifiers</a>&#160;</td>
          <td class="paramname"><em>modifier_id</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d3c/_modifiers_manager_8c_source.html#l00190">190</a> of file <a class="el" href="../../d3/d3c/_modifiers_manager_8c_source.html">ModifiersManager.c</a>.</p>

</div>
</div>
<a id="a5404989687c2d7857ec77e70ddfeb09b" name="a5404989687c2d7857ec77e70ddfeb09b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5404989687c2d7857ec77e70ddfeb09b">&#9670;&#160;</a></span>IsModifiersEnable()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> IsModifiersEnable </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d3c/_modifiers_manager_8c_source.html#l00170">170</a> of file <a class="el" href="../../d3/d3c/_modifiers_manager_8c_source.html">ModifiersManager.c</a>.</p>

</div>
</div>
<a id="ac135bf8a3162a3c2d85fa35fdbff1798" name="ac135bf8a3162a3c2d85fa35fdbff1798"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac135bf8a3162a3c2d85fa35fdbff1798">&#9670;&#160;</a></span>ModifiersManager()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void ModifiersManager </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d3c/_modifiers_manager_8c_source.html#l00080">80</a> of file <a class="el" href="../../d3/d3c/_modifiers_manager_8c_source.html">ModifiersManager.c</a>.</p>

</div>
</div>
<a id="ab005f76d2b3219a0dc7bb5f84626cb99" name="ab005f76d2b3219a0dc7bb5f84626cb99"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab005f76d2b3219a0dc7bb5f84626cb99">&#9670;&#160;</a></span>OnScheduledTick()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void OnScheduledTick </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>delta_time</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d3c/_modifiers_manager_8c_source.html#l00195">195</a> of file <a class="el" href="../../d3/d3c/_modifiers_manager_8c_source.html">ModifiersManager.c</a>.</p>

</div>
</div>
<a id="ab8fb9b4105d97f4c7ba4bdd84d6c7de9" name="ab8fb9b4105d97f4c7ba4bdd84d6c7de9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab8fb9b4105d97f4c7ba4bdd84d6c7de9">&#9670;&#160;</a></span>OnStoreLoad()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> OnStoreLoad </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d8/d18/gameplay_8c.html#a4ff67286551fc6c18504752a277c8bc1">ParamsReadContext</a>&#160;</td>
          <td class="paramname"><em>ctx</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>version</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d3c/_modifiers_manager_8c_source.html#l00265">265</a> of file <a class="el" href="../../d3/d3c/_modifiers_manager_8c_source.html">ModifiersManager.c</a>.</p>

</div>
</div>
<a id="ad975050d7a080cca462e74c604f404a2" name="ad975050d7a080cca462e74c604f404a2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad975050d7a080cca462e74c604f404a2">&#9670;&#160;</a></span>OnStoreSave()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void OnStoreSave </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d8/d18/gameplay_8c.html#af1d1033fca2ebd02f4ba61051b6341c4">ParamsWriteContext</a>&#160;</td>
          <td class="paramname"><em>ctx</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d3c/_modifiers_manager_8c_source.html#l00224">224</a> of file <a class="el" href="../../d3/d3c/_modifiers_manager_8c_source.html">ModifiersManager.c</a>.</p>

</div>
</div>
<a id="ace1390f9fbca9fe44c2fdd0ab58441be" name="ace1390f9fbca9fe44c2fdd0ab58441be"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ace1390f9fbca9fe44c2fdd0ab58441be">&#9670;&#160;</a></span>SetModifierLock()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void SetModifierLock </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>modifier_id</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td>
          <td class="paramname"><em>state</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d3c/_modifiers_manager_8c_source.html#l00317">317</a> of file <a class="el" href="../../d3/d3c/_modifiers_manager_8c_source.html">ModifiersManager.c</a>.</p>

</div>
</div>
<a id="a017e6dbd2f574154605cf1225a2346ad" name="a017e6dbd2f574154605cf1225a2346ad"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a017e6dbd2f574154605cf1225a2346ad">&#9670;&#160;</a></span>SetModifiers()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void SetModifiers </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td>
          <td class="paramname"><em>enable</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d3c/_modifiers_manager_8c_source.html#l00148">148</a> of file <a class="el" href="../../d3/d3c/_modifiers_manager_8c_source.html">ModifiersManager.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a id="ad7b192f22a83d324fbb2fc7fea14ad09" name="ad7b192f22a83d324fbb2fc7fea14ad09"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad7b192f22a83d324fbb2fc7fea14ad09">&#9670;&#160;</a></span>DEFAULT_TICK_TIME_ACTIVE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> DEFAULT_TICK_TIME_ACTIVE = 3</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d3c/_modifiers_manager_8c_source.html#l00031">31</a> of file <a class="el" href="../../d3/d3c/_modifiers_manager_8c_source.html">ModifiersManager.c</a>.</p>

</div>
</div>
<a id="ac5b38c9a7d45b3576a7028958f9abcca" name="ac5b38c9a7d45b3576a7028958f9abcca"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac5b38c9a7d45b3576a7028958f9abcca">&#9670;&#160;</a></span>DEFAULT_TICK_TIME_ACTIVE_SHORT</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> DEFAULT_TICK_TIME_ACTIVE_SHORT = 1</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d3c/_modifiers_manager_8c_source.html#l00032">32</a> of file <a class="el" href="../../d3/d3c/_modifiers_manager_8c_source.html">ModifiersManager.c</a>.</p>

</div>
</div>
<a id="ab41b0cbf9fe485932fbffc19ea426bac" name="ab41b0cbf9fe485932fbffc19ea426bac"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab41b0cbf9fe485932fbffc19ea426bac">&#9670;&#160;</a></span>DEFAULT_TICK_TIME_INACTIVE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> DEFAULT_TICK_TIME_INACTIVE = 3</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d3c/_modifiers_manager_8c_source.html#l00033">33</a> of file <a class="el" href="../../d3/d3c/_modifiers_manager_8c_source.html">ModifiersManager.c</a>.</p>

</div>
</div>
<a id="af38d7a2ebcfdc86567caa51ca9d70458" name="af38d7a2ebcfdc86567caa51ca9d70458"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af38d7a2ebcfdc86567caa51ca9d70458">&#9670;&#160;</a></span>DEFAULT_TICK_TIME_INACTIVE_LONG</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> DEFAULT_TICK_TIME_INACTIVE_LONG = 10</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d3c/_modifiers_manager_8c_source.html#l00034">34</a> of file <a class="el" href="../../d3/d3c/_modifiers_manager_8c_source.html">ModifiersManager.c</a>.</p>

</div>
</div>
<a id="a013e775b9f09d11160663fd33384e26d" name="a013e775b9f09d11160663fd33384e26d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a013e775b9f09d11160663fd33384e26d">&#9670;&#160;</a></span>m_AllowModifierTick</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> m_AllowModifierTick = false</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d3c/_modifiers_manager_8c_source.html#l00078">78</a> of file <a class="el" href="../../d3/d3c/_modifiers_manager_8c_source.html">ModifiersManager.c</a>.</p>

</div>
</div>
<a id="ad30167207c5f49bc30d8149cf0bc1835" name="ad30167207c5f49bc30d8149cf0bc1835"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad30167207c5f49bc30d8149cf0bc1835">&#9670;&#160;</a></span>m_ModifierList</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">ref <a class="el" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map</a>&lt;<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>, ref <a class="el" href="../../d8/d0a/class_modifier_base.html">ModifierBase</a>&gt; m_ModifierList</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d3c/_modifiers_manager_8c_source.html#l00075">75</a> of file <a class="el" href="../../d3/d3c/_modifiers_manager_8c_source.html">ModifiersManager.c</a>.</p>

</div>
</div>
<a id="ae06e8d93b8034c2d3b6139345d76178b" name="ae06e8d93b8034c2d3b6139345d76178b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae06e8d93b8034c2d3b6139345d76178b">&#9670;&#160;</a></span>m_ModifierListArray</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">ref <a class="el" href="../../d2/d41/classarray.html">array</a>&lt; ref <a class="el" href="../../d8/d0a/class_modifier_base.html">ModifierBase</a>&gt; m_ModifierListArray = new <a class="el" href="../../d2/d41/classarray.html">array</a>&lt; ref <a class="el" href="../../d8/d0a/class_modifier_base.html">ModifierBase</a>&gt;</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d3c/_modifiers_manager_8c_source.html#l00076">76</a> of file <a class="el" href="../../d3/d3c/_modifiers_manager_8c_source.html">ModifiersManager.c</a>.</p>

</div>
</div>
<a id="acf3cda73bc6fe5c0eae3e01c470fe3bd" name="acf3cda73bc6fe5c0eae3e01c470fe3bd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acf3cda73bc6fe5c0eae3e01c470fe3bd">&#9670;&#160;</a></span>m_ParamList</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">ref <a class="el" href="../../d2/d41/classarray.html">array</a>&lt;ref <a class="el" href="../../d9/dc3/group___tools.html#de/d90/class_param">Param</a>&gt; m_ParamList</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d3c/_modifiers_manager_8c_source.html#l00077">77</a> of file <a class="el" href="../../d3/d3c/_modifiers_manager_8c_source.html">ModifiersManager.c</a>.</p>

</div>
</div>
<a id="ac86fff4eb453898da6d2396e65aa0670" name="ac86fff4eb453898da6d2396e65aa0670"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac86fff4eb453898da6d2396e65aa0670">&#9670;&#160;</a></span>m_Player</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">class <a class="el" href="../../d9/da9/class_modifier_debug_obj.html">ModifierDebugObj</a> m_Player</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a25a1f5ed25534a65e875f6fde47a1d13" name="a25a1f5ed25534a65e875f6fde47a1d13"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a25a1f5ed25534a65e875f6fde47a1d13">&#9670;&#160;</a></span>STORAGE_VERSION</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> STORAGE_VERSION = 121</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d3c/_modifiers_manager_8c_source.html#l00079">79</a> of file <a class="el" href="../../d3/d3c/_modifiers_manager_8c_source.html">ModifiersManager.c</a>.</p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_f61fac3e195407e8bd798ede36822932.html">Classes</a></li><li class="navelem"><a class="el" href="../../dir_0e1c6459c1c3433a8fff963bc41b9946.html">PlayerModifiers</a></li><li class="navelem"><a class="el" href="../../d3/d3c/_modifiers_manager_8c.html">ModifiersManager.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
